package com.ruoyi.bst.device.service;

import java.util.Collections;
import java.util.List;

import com.ruoyi.bst.device.domain.DeviceVO;

public interface DeviceAssembler {

    default void assembleIot(DeviceVO device) {
        assembleIot(Collections.singletonList(device));
    }

    /**
     * 组装物联网信息
     *
     * @param list
     */
    void assembleIot(List<DeviceVO> list);

}
